For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
              • POSTCreate a Deployment
              • POSTGenerate Upload Signature
              • STREAMGet Deployment Event Stream
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInfrastructure HostingDeployments

Create a Deployment

Pre-release
POST
https://api.bigcommerce.com/stores/:store_hash/v3/infrastructure/deployments
POST
/stores/:store_hash/v3/infrastructure/deployments
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/deployments \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "upload_uuid": "0194fd2b-2ac6-72de-b73f-d83f2d626a74",
> "project_uuid": "01956ca2-72dd-7968-9484-469ce291d38f",
> "environment_variables": [
> {
> "type": "plain_text",
> "key": "API_URL",
> "value": "https://api.example.com"
> },
> {
> "type": "secret",
> "key": "API_SECRET",
> "value": "s3cret"
> }
> ]
>}'
1{
2 "data": {
3 "deployment_uuid": "019500e2-933d-7057-8e81-090dd7240795"
4 },
5 "meta": {}
6}

Creates a new deployment for an infrastructure hosting project. You must first generate an upload signature and upload your deployment artifact before creating a deployment.

Only one deployment can be in progress per project at a time. If a deployment is already in progress, the API returns a 409 Conflict response.

Was this page helpful?
Previous

Delete a Project

Next

Generate Upload Signature

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Infrastructure Deployments | read-only | `store_infrastructure_deployments_read_only` | | Infrastructure Deployments | create preview | `store_infrastructure_deployments_create_preview` | | Infrastructure Deployments | manage | `store_infrastructure_deployments_manage` | | Infrastructure Projects | read-only | `store_infrastructure_projects_read_only` | | Infrastructure Projects | manage | `store_infrastructure_projects_manage` | | Infrastructure Logs | read-only | `store_infrastructure_logs_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
upload_uuidstringRequired
The UUID of the uploaded deployment artifact, obtained from the Generate Upload Signature endpoint.
project_uuidstringRequiredformat: "uuid"
The UUID of the project to deploy to.
environment_variableslist of objects or nullOptional
Optional environment variables to set for this deployment.

Response

The deployment was created successfully.
dataobject
metaobject
Empty meta object.

Errors

409
Conflict Error

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.